Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
usermgmt::RoleManager::PrivilegeDesc Struct Reference

Privilege Description. More...

## Public Attributes
string | name
| Privilege name.
string | desc
| Privilege description.
vector< ArgumentDesc > | args
| List of supported arguments.

## Detailed Description

Privilege Description.

Definition at line 48 of file RoleManager.idl.

## Member Data Documentation

## ◆ args

vector<ArgumentDesc> usermgmt::RoleManager::PrivilegeDesc::args

List of supported arguments.

Definition at line 51 of file RoleManager.idl.

## ◆ desc

string usermgmt::RoleManager::PrivilegeDesc::desc

Privilege description.

Definition at line 50 of file RoleManager.idl.

## ◆ name

string usermgmt::RoleManager::PrivilegeDesc::name

Privilege name.

Definition at line 49 of file RoleManager.idl.

The documentation for this struct was generated from the following file:

- RoleManager.idl